/*
 * Code Mercenaries Hard- und Software GmbH
 * Karl-Marx-Strasse 147A
 * 12529 Schönefeld
 * Deutschland
 *
 * Dec 2016
 *
 * */

//default I2C address
#define LW14_I2CADR         0x23

//mode
#define LW14_MODE_DACP      0x00
#define LW14_MODE_CMD       0x01

//register
#define LW14_REG_STATUS 	0x00
#define LW14_REG_CMD    	0x01
#define LW14_REG_CONFIG 	0x02
#define LW14_REG_SIGNATURE 	0xF0
#define LW14_REG_ADDR   	0xFE

//bits from state register
#define LW14_STATE_NONE         0x00
#define LW14_STATE_1BYTE        0x01
#define LW14_STATE_2BYTE        0x02
#define LW14_STATE_TIMEFRAME    0x04
#define LW14_STATE_VALID        0x08
#define LW14_STATE_FRAMEERROR   0x10
#define LW14_STATE_OVERRUN      0x20
#define LW14_STATE_BUSY         0x40
#define LW14_STATE_BUS_FAULT    0x80
